LibreOffice: XDropTargetDragContext Interface Reference

LibreOffice LibreOffice 26.2 SDK API Reference

Loading...
Searching...
No Matches
XDropTargetDragContext Interface Referencepublished

This interface is implemented by any drop target context object. More...

`import "XDropTargetDragContext.idl";`

Inheritance diagram for XDropTargetDragContext:

## Public Member Functions
void | acceptDrag ([in] byte dragOperation)
| Accept the Drag.
void | rejectDrag ()
| Reject the drag as a result of examining the available com::sun::star::datatransfer::DataFlavor types received in the com::sun::star::datatransfer::dnd::XDropTargetListener::dragEnter() method.
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object.
void | acquire ()
| increases the reference counter by one.
void | release ()
| decreases the reference counter by one.

## Detailed Description

This interface is implemented by any drop target context object.

A drop target context is created whenever the logical cursor associated with a Drag and Drop operation moves within the visible geometry of a window associated with a drop target.

The drop target context provides the mechanism for a potential receiver of a drop operation to both provide the end user with the appropriate drag under feedback and effect the subsequent data transfer, if appropriate.

## Member Function Documentation

## ◆ acceptDrag()

void acceptDrag | ( | [in] byte | dragOperation | ) |

Accept the Drag.

This method should be called from the methods of XDropTargetListener

- XDropTargetListener::dragEnter()
- XDropTargetListener::dragOver()
- XDropTargetListener::dragActionChanged()

if the implementation wishes to accept the drag operation with the specified action.

Parameters

  dragOperation | The operation accepted by the target.

See also
  DNDConstants
  DropTargetDragEvent

## ◆ rejectDrag()

void rejectDrag | ( |  | ) |

Reject the drag as a result of examining the available com::sun::star::datatransfer::DataFlavor types received in the com::sun::star::datatransfer::dnd::XDropTargetListener::dragEnter() method.

The documentation for this interface was generated from the following file:

- com/sun/star/datatransfer/dnd/XDropTargetDragContext.idl